#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>

#include "lights.h"

volatile uint16_t jiffies;

void init_tmr()
{
	wdt_enable(WDTO_60MS);
	WDTCR |= _BV(WDIE); // interrupt mode, 64 ms
}

void susp_tmr()
{
	wdt_disable();
}

ISR(WDT_vect) {
	WDTCR |= _BV(WDIE); // avoid WDT reset next time
	++jiffies;
}

